Skip to main content
Interfaces

Get pricing from LAPS API interface

This method requires the InterfaceLAPS:GetPricing permission to be associated with your role.

POST
/gb/interface/laps/get-pricing
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Maximum string length: 32
Pattern: ^[0-9a-f]{32}

Body

application/x-www-form-urlencoded
quote_idstringrequired

Quote Id (Catch-e)

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

inclusion_plan_totalnumber
quote_idstring
quoted_inclusionsobject[]